dev-perl/Quota: Fix linkage against libtirpc bug #644420
authorMarcel Greter <marcel.greter@ocbnet.ch>
Sat, 13 Jan 2018 03:57:10 +0000 (04:57 +0100)
committerKent Fredric <kentnl@gentoo.org>
Wed, 24 Jan 2018 04:40:43 +0000 (17:40 +1300)
- add dependency to libtirpc
- add minimal test case

Closes: https://bugs.gentoo.org/644420
Closes: https://github.com/gentoo/gentoo/pull/6845

dev-perl/Quota/Quota-1.7.2.ebuild

index 7e107a67f8fd1c69890b4dc35d67238fd467d226..74a17df08e447e1e503c53e0469a20a62587912e 100644 (file)
@@ -14,6 +14,7 @@ IUSE=""
 
 RDEPEND="
        sys-fs/quota[rpc]
+       net-libs/libtirpc
 "
 DEPEND="${RDEPEND}
        virtual/perl-ExtUtils-MakeMaker
@@ -24,8 +25,20 @@ DIST_TEST=skip
 
 src_prepare() {
        default
-       export mymake="OPTIMIZE=$($(tc-getPKG_CONFIG) --cflags libtirpc)"
+       export mymake="INC=$($(tc-getPKG_CONFIG) --cflags libtirpc) OTHERLDFLAGS=$($(tc-getPKG_CONFIG) --libs libtirpc)"
 
        # disable AFS completely for now, need somebody who can really test it
        sed -i -e 's|-d "/afs"|0|' Makefile.PL || die "sed failed"
 }
+
+src_test() {
+       ebegin "Compile testing Quota ${PV}"
+               perl -Mblib="${S}" -M"Quota ${PV} ()" -e1
+       if ! eend $?; then
+               echo
+               eerror "One or more modules failed compile:";
+               eerror "  Quota ${PV}"
+               die "Failing due to module compilation errors";
+       fi
+       perl-module_src_test
+}